## org.cometd.demo
Class BayeuxServicesListener.EchoRPC

    java.lang.Object
      org.mortbay.cometd.BayeuxService
          org.cometd.demo.BayeuxServicesListener.EchoRPC

Enclosing class:
  BayeuxServicesListener

    public static class BayeuxServicesListener.EchoRPC

extends BayeuxService

Constructor Summary
`BayeuxServicesListener.EchoRPC(org.cometd.Bayeux bayeux)`

Method Summary
`Object` `doEcho(org.cometd.Client client, Object data)`

Methods inherited from class org.mortbay.cometd.BayeuxService
`exception, getBayeux, getClient, getThreadPool, isSeeOwnPublishes, send, setSeeOwnPublishes, setThreadPool, subscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BayeuxServicesListener.EchoRPC

    public BayeuxServicesListener.EchoRPC(org.cometd.Bayeux bayeux)

Method Detail

### doEcho

    public Object doEcho(org.cometd.Client client,
                         Object data)

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.